org.apache.sysds.runtime.io

## Class ReaderTextCell

- java.lang.Object
- - org.apache.sysds.runtime.io.MatrixReader
  - - org.apache.sysds.runtime.io.ReaderTextCell

Direct Known Subclasses:
  ReaderTextCellParallel

    public class ReaderTextCell
    extends MatrixReader

### Constructor Summary

Constructors
Constructor and Description
`ReaderTextCell(Types.FileFormat fmt)`
`ReaderTextCell(Types.FileFormat fmt, boolean allowRaw)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MatrixBlock` `readMatrixFromHDFS(String fname, long rlen, long clen, int blen, long estnnz)`
`MatrixBlock` `readMatrixFromInputStream(InputStream is, long rlen, long clen, int blen, long estnnz)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReaderTextCell

    public ReaderTextCell(Types.FileFormat fmt)

#### ReaderTextCell

    public ReaderTextCell(Types.FileFormat fmt,
                          boolean allowRaw)

### Method Detail

#### readMatrixFromHDFS

    public MatrixBlock readMatrixFromHDFS(String fname,
                                          long rlen,
                                          long clen,
                                          int blen,
                                          long estnnz)
                                   throws IOException,
                                          DMLRuntimeException

Specified by:
  `readMatrixFromHDFS` in class `MatrixReader`
Throws:
  `IOException`
  `DMLRuntimeException`

#### readMatrixFromInputStream

    public MatrixBlock readMatrixFromInputStream(InputStream is,
                                                 long rlen,
                                                 long clen,
                                                 int blen,
                                                 long estnnz)
                                          throws IOException,
                                                 DMLRuntimeException

Specified by:
  `readMatrixFromInputStream` in class `MatrixReader`
Throws:
  `IOException`
  `DMLRuntimeException`